Gem::Specification.new do |s|
  s.name          = 'logstash-input-cloudflare_logs'
  s.version       = '0.1.12'
  s.licenses      = ['Apache License (2.0)']
  s.summary       = 'write cloudflare logs to logstash'
  s.description   = 'Write cloudflare lgos to logstash.' \
                    ' This requires an Enterprise account with cloudflare'
  s.homepage      = 'https://github.com/resumecompanion/logstash-input-cloudflare-logs'
  s.authors       = ['Josh Moore']
  s.email         = 'joshsmoore@gmail.com'
  s.require_paths = ['lib']

  # Files
  s.files = Dir[
    'lib/**/*',
    'spec/**/*',
    'vendor/**/*',
    '*.gemspec',
    '*.md',
    'CONTRIBUTORS',
    'Gemfile',
    'LICENSE',
    'NOTICE.TXT'
  ]

  # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { 'logstash_plugin' => 'true', 'logstash_group' => 'input' }

  # Gem dependencies
  s.add_runtime_dependency 'logstash-core-plugin-api', '~> 2.0'
  s.add_runtime_dependency 'logstash-codec-json'
  s.add_runtime_dependency 'stud', '>= 0.0.22'
  # s.add_runtime_dependency 'rest-client', '>= 2.0.2'
  s.add_runtime_dependency 'rest-client', '~> 1.8.0'
  s.add_development_dependency 'logstash-devutils', '>= 0.0.16'
  s.add_development_dependency 'webmock'
  s.add_development_dependency 'vcr', '> 3.0.0', '< 4.0.0'
  s.add_development_dependency 'timecop'
  s.add_development_dependency 'pry'
end
